// -----------------------------------------------------------------------------
//
//   ABOUT: "Development Set" for geometry prototyping
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//     URL: none
//
//    DATE: June 2022 to...
//
//
// CONTENT:
//
//  - Base 1 to 4: black, grey1, grey2, white
//  - Base 5 to 8: blue, green, orange, purple
//  - Hazrd:       hzrd_blue, hzrd_grey, hzrd_red
//
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Base 1 to 4 (greys)
// -----------------------------------------------------------------------------

// Base1

textures/devel_base/base1_black
{
    qer_editorImage textures/devel/base/base1_black.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base1_black.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base1_grey1
{
    qer_editorImage textures/devel/base/base1_grey1.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base1_grey1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base1_grey2
{
    qer_editorImage textures/devel/base/base1_grey2.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base1_grey2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base1_white
{
    qer_editorImage textures/devel/base/base1_white.tga

    dpGlossIntensityMod 0.25
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base1_white.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base2

textures/devel_base/base2_black
{
    qer_editorImage textures/devel/base/base2_black.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base2_black.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base2_grey1
{
    qer_editorImage textures/devel/base/base2_grey1.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base2_grey1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base2_grey2
{
    qer_editorImage textures/devel/base/base2_grey2.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base2_grey2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base2_white
{
    qer_editorImage textures/devel/base/base2_white.tga

    dpGlossIntensityMod 0.25
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base2_white.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base3

textures/devel_base/base3_black
{
    qer_editorImage textures/devel/base/base3_black.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base3_black.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base3_grey1
{
    qer_editorImage textures/devel/base/base3_grey1.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base3_grey1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base3_grey2
{
    qer_editorImage textures/devel/base/base3_grey2.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base3_grey2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base3_white
{
    qer_editorImage textures/devel/base/base3_white.tga

    dpGlossIntensityMod 0.25
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base3_white.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base4

textures/devel_base/base4_black
{
    qer_editorImage textures/devel/base/base4_black.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base4_black.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base4_grey1
{
    qer_editorImage textures/devel/base/base4_grey1.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base4_grey1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base4_grey2
{
    qer_editorImage textures/devel/base/base4_grey2.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base4_grey2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base4_white
{
    qer_editorImage textures/devel/base/base4_white.tga

    dpGlossIntensityMod 0.25
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base4_white.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
// Base 5 to 8 (colors)
// -----------------------------------------------------------------------------

// Base5

textures/devel_base/base5_blue
{
    qer_editorImage textures/devel/base/base5_blue.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base5_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base5_green
{
    qer_editorImage textures/devel/base/base5_green.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base5_green.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base5_orange
{
    qer_editorImage textures/devel/base/base5_orange.tga

    dpGlossIntensityMod 0.70
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base5_orange.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base5_purple
{
    qer_editorImage textures/devel/base/base5_purple.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base5_purple.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base6

textures/devel_base/base6_blue
{
    qer_editorImage textures/devel/base/base6_blue.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base6_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base6_green
{
    qer_editorImage textures/devel/base/base6_green.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base6_green.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base6_orange
{
    qer_editorImage textures/devel/base/base6_orange.tga

    dpGlossIntensityMod 0.70
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base6_orange.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base6_purple
{
    qer_editorImage textures/devel/base/base6_purple.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base6_purple.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base7

textures/devel_base/base7_blue
{
    qer_editorImage textures/devel/base/base7_blue.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base7_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base7_green
{
    qer_editorImage textures/devel/base/base7_green.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base7_green.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base7_orange
{
    qer_editorImage textures/devel/base/base7_orange.tga

    dpGlossIntensityMod 0.70
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base7_orange.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base7_purple
{
    qer_editorImage textures/devel/base/base7_purple.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base7_purple.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Base8

textures/devel_base/base8_blue
{
    qer_editorImage textures/devel/base/base8_blue.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base8_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base8_green
{
    qer_editorImage textures/devel/base/base8_green.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base8_green.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base8_orange
{
    qer_editorImage textures/devel/base/base8_orange.tga

    dpGlossIntensityMod 0.70
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base8_orange.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/base8_purple
{
    qer_editorImage textures/devel/base/base8_purple.tga

    dpGlossIntensityMod 0.65
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/base8_purple.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
// Hazard
// -----------------------------------------------------------------------------

textures/devel_base/hzrd_blue
{
    qer_editorImage textures/devel/base/hzrd_blue.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/hzrd_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/hzrd_grey
{
    qer_editorImage textures/devel/base/hzrd_grey.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/hzrd_grey.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_base/hzrd_red
{
    qer_editorImage textures/devel/base/hzrd_red.tga

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.75

    {
        map textures/devel/base/hzrd_red.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
