// -----------------------------------------------------------------------------
//
//   ABOUT: "Development Set" for geometry prototyping
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//     URL: none
//
//    DATE: June 2022 to...
//
//
// CONTENT:
//
//   - Arrow 1 & 2: blue, green, orange, purple, red, yellow, black, white
//   - Hazard 1 to 4: blue, orange, red, yellow
//   - Spawn: Item spawn, Player spawn
//   - Items: Armor, Health
//   - Other: North sign
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
//  Arrow1 (LIGHTMAPPED)
// -----------------------------------------------------------------------------

textures/devel_decal/arrow1_blue
{
    qer_editorImage textures/devel/decal/arrow1_blue.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking & NO Shadow-casting
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_green
{
    qer_editorImage textures/devel/decal/arrow1_green.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_green.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_orange
{
    qer_editorImage textures/devel/decal/arrow1_orange.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_purple
{
    qer_editorImage textures/devel/decal/arrow1_purple.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_purple.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_red
{
    qer_editorImage textures/devel/decal/arrow1_red.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_yellow
{
    qer_editorImage textures/devel/decal/arrow1_yellow.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_black
{
    qer_editorImage textures/devel/decal/arrow1_black.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_black.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow1_white
{
    qer_editorImage textures/devel/decal/arrow1_white.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow1_white.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
//  Arrow2 (LIGHTMAPPED)
// -----------------------------------------------------------------------------

textures/devel_decal/arrow2_blue
{
    qer_editorImage textures/devel/decal/arrow2_blue.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking & NO Shadow-casting
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_green
{
    qer_editorImage textures/devel/decal/arrow2_green.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_green.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_orange
{
    qer_editorImage textures/devel/decal/arrow2_orange.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_purple
{
    qer_editorImage textures/devel/decal/arrow2_purple.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_purple.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_red
{
    qer_editorImage textures/devel/decal/arrow2_red.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_yellow
{
    qer_editorImage textures/devel/decal/arrow2_yellow.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_black
{
    qer_editorImage textures/devel/decal/arrow2_black.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_black.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/arrow2_white
{
    qer_editorImage textures/devel/decal/arrow2_white.tga
    qer_alphaFunc gequal 0.25

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/arrow2_white.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
//  Hazard (LIGHTMAPPED)
// -----------------------------------------------------------------------------

textures/devel_decal/hzrd1_blue
{
    qer_editorImage textures/devel/decal/hzrd1_blue.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking, NO Shadow-casting
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd1_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd1_orange
{
    qer_editorImage textures/devel/decal/hzrd1_orange.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd1_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd1_red
{
    qer_editorImage textures/devel/decal/hzrd1_red.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd1_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd1_yellow
{
    qer_editorImage textures/devel/decal/hzrd1_yellow.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd1_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd2_blue
{
    qer_editorImage textures/devel/decal/hzrd2_blue.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd2_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd2_orange
{
    qer_editorImage textures/devel/decal/hzrd2_orange.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd2_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd2_red
{
    qer_editorImage textures/devel/decal/hzrd2_red.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd2_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd2_yellow
{
    qer_editorImage textures/devel/decal/hzrd2_yellow.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd2_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd3_blue
{
    qer_editorImage textures/devel/decal/hzrd3_blue.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd3_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd3_orange
{
    qer_editorImage textures/devel/decal/hzrd3_orange.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd3_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd3_red
{
    qer_editorImage textures/devel/decal/hzrd3_red.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd3_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd3_yellow
{
    qer_editorImage textures/devel/decal/hzrd3_yellow.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd3_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd4_blue
{
    qer_editorImage textures/devel/decal/hzrd4_blue.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd4_blue.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd4_orange
{
    qer_editorImage textures/devel/decal/hzrd4_orange.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd4_orange.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd4_red
{
    qer_editorImage textures/devel/decal/hzrd4_red.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd4_red.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/hzrd4_yellow
{
    qer_editorImage textures/devel/decal/hzrd4_yellow.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/hzrd4_yellow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
//  Spawn points (LIGHTMAPPED)
// -----------------------------------------------------------------------------

// Item spawn (zooming arrows)

textures/devel_decal/item_spawn
{
    qer_editorImage textures/devel/decal/item_spawn.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking, NO Shadow-casting
    surfaceparm nonsolid

    // tcMod stretch  <func>  <base> <amplitude> <phase> <freq>
    //  <base> starting size (1=full size)
    //  <amplitude> amount to add/substract to <base>

    {
        clampMap textures/devel/decal/item_spawn.tga
        rgbGen identity
        tcMod stretch sin 0.85 0.15 0 1.25
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Player spawn (rotating circle)

textures/devel_decal/player_spawn
{
    qer_editorImage textures/devel/decal/player_spawn.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        clampMap textures/devel/decal/player_spawn.tga
        rgbGen identity
        tcMod rotate -180         // 180º per second, clockwise
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
//  Armor & Health (LIGHTMAPPED)
// -----------------------------------------------------------------------------

textures/devel_decal/item_armor
{
    qer_editorImage textures/devel/decal/item_armor.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking, NO Shadow-casting
    surfaceparm nonsolid

    {
        map textures/devel/decal/item_armor.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_decal/item_health
{
    qer_editorImage textures/devel/decal/item_health.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset
    noPicMip

    surfaceparm trans
    surfaceparm nonsolid

    {
        map textures/devel/decal/item_health.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
//  North sign (LIGHTMAPPED)
// -----------------------------------------------------------------------------

textures/devel_decal/north_sign
{
    qer_editorImage textures/devel/decal/north_sign.tga
    qer_alphaFunc gequal 0.5

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 1.0

    polygonOffset                 // avoid z-fight (renders separated from the surface)
    noPicMip                      // ignore gl_picmip client cvar (textures resolution)

    surfaceparm trans             // NO VIS-blocking, NO Shadow-casting
    surfaceparm nonsolid

    {
        map textures/devel/decal/north_sign.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
