// -----------------------------------------------------------------------------
//
//   ABOUT: "Development Set" for geometry prototyping
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//     URL: none
//
//    DATE: June 2022 to...
//
//
// CONTENT:
//
//  - Lights: Amber, Green, Red, White (0, 250, 500, 1k, 1k5, 2k intensity).
//
//      Note: These light surfaces are lightmapped and has glowmaps.
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Lights (LIGHTMAPPED)
// -----------------------------------------------------------------------------

// Orange: (30 100 100 HSV) (255 128 0 RGB) (1.0 0.501960 0.0 ized)

textures/devel_light/amber_light
{
    qer_editorImage textures/devel/light/amber_light.tga

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/amber_light_025k
{
    qer_editorImage textures/devel/light/amber_light.tga

    q3map_lightRGB 1.0 0.5 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 250

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/amber_light_05k
{
    qer_editorImage textures/devel/light/amber_light.tga

    q3map_lightRGB 1.0 0.5 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/amber_light_1k
{
    qer_editorImage textures/devel/light/amber_light.tga

    q3map_lightRGB 1.0 0.5 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/amber_light_1k5
{
    qer_editorImage textures/devel/light/amber_light.tga

    q3map_lightRGB 1.0 0.5 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/amber_light_2k
{
    qer_editorImage textures/devel/light/amber_light.tga

    q3map_lightRGB 1.0 0.5 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 2000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/amber_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Green: (120 100 100 HSV) (0 255 0 RGB) (0.0 1.0 0.0 ized)

textures/devel_light/green_light
{
    qer_editorImage textures/devel/light/green_light.tga

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/green_light_025k
{
    qer_editorImage textures/devel/light/green_light.tga

    q3map_lightRGB 0.0 1.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 250

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/green_light_05k
{
    qer_editorImage textures/devel/light/green_light.tga

    q3map_lightRGB 0.0 1.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/green_light_1k
{
    qer_editorImage textures/devel/light/green_light.tga

    q3map_lightRGB 0.0 1.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/green_light_1k5
{
    qer_editorImage textures/devel/light/green_light.tga

    q3map_lightRGB 0.0 1.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/green_light_2k
{
    qer_editorImage textures/devel/light/green_light.tga

    q3map_lightRGB 0.0 1.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 2000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/green_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Red: (0 100 100 HSV) (255 0 0 RGB) (1.0 0.0 0.0 ized)

textures/devel_light/red_light
{
    qer_editorImage textures/devel/light/red_light.tga

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/red_light_025k
{
    qer_editorImage textures/devel/light/red_light.tga

    q3map_lightRGB 1.0 0.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 250

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/red_light_05k
{
    qer_editorImage textures/devel/light/red_light.tga

    q3map_lightRGB 1.0 0.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/red_light_1k
{
    qer_editorImage textures/devel/light/red_light.tga

    q3map_lightRGB 1.0 0.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/red_light_1k5
{
    qer_editorImage textures/devel/light/red_light.tga

    q3map_lightRGB 1.0 0.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/red_light_2k
{
    qer_editorImage textures/devel/light/red_light.tga

    q3map_lightRGB 1.0 0.0 0.0
    //q3map_lightSubdivide 64
    q3map_surfaceLight 2000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/red_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Warm White: (60 2 100 HSV) (255 255 250 RGB) (1.0 1.0 0.980392 ized)

textures/devel_light/white_light
{
    qer_editorImage textures/devel/light/white_light.tga

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/white_light_025k
{
    qer_editorImage textures/devel/light/white_light.tga

    q3map_lightRGB 1.0 1.0 0.98
    //q3map_lightSubdivide 64
    q3map_surfaceLight 250

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/white_light_05k
{
    qer_editorImage textures/devel/light/white_light.tga

    q3map_lightRGB 1.0 1.0 0.98
    //q3map_lightSubdivide 64
    q3map_surfaceLight 500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/white_light_1k
{
    qer_editorImage textures/devel/light/white_light.tga

    q3map_lightRGB 1.0 1.0 0.98
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/white_light_1k5
{
    qer_editorImage textures/devel/light/white_light.tga

    q3map_lightRGB 1.0 1.0 0.98
    //q3map_lightSubdivide 64
    q3map_surfaceLight 1500

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_light/white_light_2k
{
    qer_editorImage textures/devel/light/white_light.tga

    q3map_lightRGB 1.0 1.0 0.98
    //q3map_lightSubdivide 64
    q3map_surfaceLight 2000

    surfaceparm nomarks           // NO projectile marks
    surfaceparm trans             // NO VIS-blocking, NO Shadow casting

    {
        map textures/devel/light/white_light.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
