// -----------------------------------------------------------------------------
//
//   ABOUT: "Development Set" for geometry prototyping
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//     URL: none
//
//    DATE: June 2022 to...
//
//
// CONTENT:
//
//  - Metal:  black, grey1, grey2, white, brown, red
//  - Hazard: black+orange, black+yellow, grey+yellow
//  - Pipe:   Copper, Steel, Blue, Red
//
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Metal
// -----------------------------------------------------------------------------

textures/devel_metal/met_black
{
    qer_editorImage textures/devel/metal/met_black.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_black.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/met_grey1
{
    qer_editorImage textures/devel/metal/met_grey1.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_grey1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/met_grey2
{
    qer_editorImage textures/devel/metal/met_grey2.tga

    dpGlossIntensityMod 0.40
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_grey2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/met_white
{
    qer_editorImage textures/devel/metal/met_white.tga

    dpGlossIntensityMod 0.25
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_white.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/met_brown
{
    qer_editorImage textures/devel/metal/met_brown.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_brown.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/met_red
{
    qer_editorImage textures/devel/metal/met_red.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_red.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
// Metal Hazard
// -----------------------------------------------------------------------------

// black+orange

textures/devel_metal/met_hzrd_orange
{
    qer_editorImage textures/devel/metal/met_hzrd_orange.tga

    dpGlossIntensityMod 1.0
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_hzrd_orange.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// black+yellow

textures/devel_metal/met_hzrd_yellow
{
    qer_editorImage textures/devel/metal/met_hzrd_yellow.tga

    dpGlossIntensityMod 1.0
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_hzrd_yellow.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// grey50+yellow

textures/devel_metal/met_hzrd_yellow2
{
    qer_editorImage textures/devel/metal/met_hzrd_yellow2.tga

    dpGlossIntensityMod 0.30      // less gloss because higher reflect
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/met_hzrd_yellow2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// -----------------------------------------------------------------------------
// Metal Pipes
// -----------------------------------------------------------------------------


textures/devel_metal/pipe1_copper
{
    qer_editorImage textures/devel/metal/pipe1_copper.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/pipe1_copper.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/pipe1_steel
{
    qer_editorImage textures/devel/metal/pipe1_steel.tga

    dpGlossIntensityMod 0.60
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/pipe1_steel.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/pipe1_blue
{
    qer_editorImage textures/devel/metal/pipe1_blue.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/pipe1_blue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/devel_metal/pipe1_red
{
    qer_editorImage textures/devel/metal/pipe1_red.tga

    dpGlossIntensityMod 0.75
    dpGlossExponentMod 2.0

    dpReflectCube textures/devel/env/dev_cubemap_

    q3map_bounceScale 1.50

    surfaceparm metalsteps

    {
        map textures/devel/metal/pipe1_red.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
