// -----------------------------------------------------------------------------
//
//   ABOUT: "Development Set" for geometry prototyping
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//     URL: none
//
//    DATE: June 2022 to...
//
// -----------------------------------------------------------------------------


// Devel Sky1 (blue, cloudy)

textures/devel_skies/dev_sky1
{
    qer_editorImage textures/devel/skies/dev_sky1_preview.png
    skyParms textures/devel/skies/dev_sky1 - -

    noPicMip                 // ignore the r_picmip cvar (textures resolution)
    noMipMaps                // do not generate low-res and blured mipmaps

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    // q3map_sunExt   <R> <G> <B>   <intensity>   <degrees> <elevation>   <deviance> <samples>
    //   0=east, 90=north, 180=west, 270=south <------┘          |
    //   0=dawn/sunset, 90=noon  <-------------------------------┘

    // White 100%
    q3map_sunExt 1.0 1.0 1.0 125 135 50 0 16     // 45º North-West, 50º elevation

    // White 100%
    q3map_lightRGB 1.0 1.0 1.0              // color for skyLight, instead of skybox sampling
    q3map_lightmapFilterRadius 0 8          // <self> <other> (blur shadows casted by skyLight)
    q3map_skyLight 50 6                     // <amount> <iterations>  (6=100 lights, 8=200, 10=325, 12=485)
}

// EOF ------------------------------- EOF --------------------------------- EOF
